Subject: Re: New Dell Inspiron: Screen flicker (SOLVED)

From: Harris Paltrowitz <[email-masked]>
Date: Sat, 24 Sep 2016 11:10:45 -0400

> Felix Miata wrote:
> 
> Harris composed on 2016-09-17 09:38 (UTC-0400):
> 
> Felix Miata wrote:
> Harris composed on 2016-09-17 08:57 (UTC):
> I just got a new Dell laptop to replace my former one that I ran Debian on with no issues -- unfortunately with this one, the screen flickers when I have it at essentially the next-to-highest brightness setting. I say "essentially" because it happens in GNOME at the second-highest brightness level (using the keyboard up/down buttons) although in other desktops (e.g., Xfce) I cannot reproduce the problem using these keys, because Xfce does not have such fine increments when I use the keys -- the increments are larger. However, I CAN reproduce the problem in Xfce (as well as in LXDE and MATE) if I (a) reproduce the problem in GNOME using the keys, then (b) log out and log into one of these other DE's without touching the brightness keys.
> It appears that this is not a problem with the hardware, as I did a test of reinstalling Windows 10 (which is what shipped with this laptop) and the problem did not appear. However, now that I've learned that the brightness keys produce different brightness percentages depending on the specific desktop environment, I can't be sure that this does not happen in Windows.
> Anyway, does anyone have any knowledge of this type of problem, and advice on some potential solutions?
> Here are my system specs:
> Dell Inspiron 15 3000 Series
> Intel Core i3-5005U Processor (3M Cache, 2.00 GHz)
> 4GB, 1600MHz, DDR3L memory
> Intel HD Graphics 5500
> 15.6-inch HD (1366 x 768) Truelife LED-Backlit Display
> - In GNOME Settings, the graphics is indicated as Gallium 0.4 on llvmpipe (LLVM 3.5, 256 bits)
> I'm running Jessie 8.5.
> Thanks very much in advance!
> Give a driver switch a try:
> # apt-get purge xserver-xorg-video-intel
> # apt-get install xserver-xorg-video-modesetting
> restart Xserver.
> Next time, include output from 'lspci -v'.
> Forgot to mention originally why:
> http://www.phoronix.com/scan.php?page=news_item&px=Ubuntu-Debian-Abandon-Intel-DDX <http://www.phoronix.com/scan.php?page=news_item&px=Ubuntu-Debian-Abandon-Intel-DDX>
> Thanks Felix, but the problem is still there. I ran the purge and
> install as you mentioned, but during the install it said that nothing
> was installed as the package was already there. Here's how I restarted
> Xserver:
> invoke-rc.d gdm restart
> I also restarted the system after that.
> Here's the output from lspci -v :
> 00:02.0 VGA compatible controller: Intel Corporation Broadwell-U
> Integrated Graphics (rev 09) (prog-if 00 [VGA controller])
>       Subsystem: Dell Device 06b0
>       Flags: bus master, fast devsel, latency 0, IRQ 64
>       Memory at a8000000 (64-bit, non-prefetchable) [size=16M]
>       Memory at b0000000 (64-bit, prefetchable) [size=256M]
>       I/O ports at 4000 [size=64]
>       Expansion ROM at <unassigned> [disabled]
>       Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
>       Capabilities: [d0] Power Management version 2
>       Capabilities: [a4] PCI Advanced Features
>       Kernel driver in use: i915
> Bummer. Maybe if Google can't find you anything useful about Broadwell on Linux, try asking on [email-masked] <mailto:[email-masked]> or one of the web forums, such as:
> http://www.linuxquestions.org/ <http://www.linuxquestions.org/>
> http://en.community.dell.com/support-forums/laptop/ <http://en.community.dell.com/support-forums/laptop/>
> http://forums.debian.net/ <http://forums.debian.net/>
> http://www.techsupportforum.com/ <http://www.techsupportforum.com/>
> https://www.phoronix.com/forums/ <https://www.phoronix.com/forums/>
> 
> or a forum or mailing list that matches your preferred DEs, Gnome, XFCE LXDE, Mate. Possibly this is one of those things that results from escalating demands from the hardware. Maybe in TDE it wouldn't happen.
> IIRC, flicker is a subject I've seen on the intel-gfx mailing list, so you might start with its archive.
> Stretch is so far along in development that it might be a good place to start, especially if you have disk space available to add it rather than replacing Jessie.
> Knoppix is the best of live media, Debian-based too. It's latest is newer than Jessie, so it's probably worth burning one to see what happens.

I was able to see this flicker issue on the BIOS video-adjustment screen…  which tells me that it’s a hardware or inherent software issue with the laptop itself, not Debian!  The unit is on its way back to Dell now.

Should have tried this first!!

Thanks again.
Harris